Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | List of all members
meta::bind_front< Fn, Ts > Struct Template Reference
Meta » Trait » Composition

An invocable that partially applies the invocable `Fn` by binding the arguments `Ts` to the front of `Fn`. More...

`#include <meta/meta.hpp>`

## Public Types
template<typename... Us>
using | invoke = invoke< Fn, Ts..., Us... >

## Detailed Description

template<invocable Fn, typename... Ts>
struct meta::bind_front< Fn, Ts >

An invocable that partially applies the invocable `Fn` by binding the arguments `Ts` to the front of `Fn`.